# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Catalyst-Plugin-ReferingKeyword
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Catch the keyword from a search that brought a visitor to your CatApp.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASHLEY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The aim is pretty simple though the task can be quite convoluted..Take, when available, the refering (sic, we use refering b/c someone
somewhere decided to use referer, sigh) query string, when it exists,
and try to parse out the real search term the user had entered on the
refering site.

This is a sort of a toy plugin right now. Feedback might help turn it
into something more robust and fully documented.

=over 4

=item * setup

Does the regular configuration stuff. Not documented yet.

=item * prepare

Where we hook into the request->referer, when it's there.

=item * refering_keyword

Only public method. Returns the most important, as far as the software
can tell, value from the refering URI query parameters. E.g., a Google
search might look like:

  http://www.google.com/search?q=catalyst+plugins&ie=utf-8...

The refering_keyword that will be caught and returned is "catalyst
plugins." As there is no standard for query parameters key names,
there is no perfect way to capture them. It's possible to capture them
by things like key name lists per domain but that is a never ending
dictionary approach. In this module we use a weighting system to try
to see which value in the key=value pairs seems the most like a search
term and the least like application dialect.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

